Bug 842578 - asm2 - compile with -target 1.5 or greater
asm2 - compile with -target 1.5 or greater
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: asm2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:22 EDT by Mikolaj Izdebski
Modified: 2012-09-17 19:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:22:27 EDT
Package asm2 appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Fedora Update System 2012-08-21 12:33:32 EDT
asm2-2.2.3-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/asm2-2.2.3-10.fc18
Comment 2 Fedora Update System 2012-08-21 13:07:00 EDT
Package asm2-2.2.3-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing asm2-2.2.3-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12395/asm2-2.2.3-10.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-17 19:53:41 EDT
asm2-2.2.3-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.